package ru.dbotthepony.kstarbound.defs.actor.player

import com.google.common.collect.ImmutableList
import com.google.common.collect.ImmutableMap
import com.google.common.collect.ImmutableSet
import ru.dbotthepony.kstarbound.defs.item.ItemDescriptor
import ru.dbotthepony.kstarbound.json.builder.JsonFactory

@JsonFactory
data class RecipeDefinition(
	val input: ImmutableList<ItemDescriptor>,
	val output: ItemDescriptor,
	val groups: ImmutableSet<String> = ImmutableSet.of(),
	val matchInputParameters: Boolean = false,
	val duration: Double = 0.5,
	val currencyInputs: ImmutableMap<String, Long> = ImmutableMap.of()
)
